Auto Multiple Choice - Bug # 342: Multicols environment doesn't work for choicescustom

Status: Closed Priority: Normal

Author: David Dixon Category:

Created: 03/16/2015 Assignee:

Updated: 02/07/2021 Due date:

Description: | use choicescustom for quiz slides because choices doesn't provide enough space between answers. If | try

to get 2 columns using multicols environment, it works with choices, but not choicescustom.

History

11/03/2017 11:27 am - Alexis Bienveniie
- Status changed from New to Feedback

Maybe I'm too late...

Please provide a minimal complete source file that shows your problem.

11/05/2017 06:36 am - David Dixon

<pre>

%% LyX 2.2.3 created this file. For more info, see http://www.lyx.org/.
%% Do not edit unless you really know what you are doing.
\documentclass[12pt,english]{article}
\usepackage[scaled=0.92]{helvet}
\renewcommand{\familydefault}{\sfdefault}
\usepackage[T1]{fontenc}

\usepackage[latin9{inputenc}
\usepackage[landscape,letterpaper]{geometry}
\geometry{verbose}

\setcounter{secnumdepth}{2}

\setcounter{tocdepth}{2}

\usepackage{amsmath}

\usepackage{amssymb}

\usepackage[authoryear]{natbib}

\makeatletter

\@ifundefined{date}{}{\date{}}

Y6%0 %0 %0 %o Yo Yoo %o %o %o %o Yo Yo Yo Yo Yo Yoo %o Yo %o %o %o Yo% %Y % % User specified LaTeX commands.
\usepackage[insidebox,separateanswersheet,automarks]{automultiplechoice}

\usepackage{multicol}

%% %

%%% Remove paragraph indentation
%% %

\parindent=0pt
\setlength{\parskip}{0.8\baselineskip}
\raggedright

% %%

%%% Set up AMC environment

% %%

\AMCtext{draft}{}

\AMCtext{message}{}

% %o%0 %o %o %o %o %o Yoo Yoo Yoo Yoo Yoo Yo %o Vo Yoo Yoo Yoo Yoo Yoo Yo %o Yo %o Vo Yoo Yoo Yoo Yoo Yoo Yoo Yo Yo Yo Yoo Yoo Yoo Yo %o Yoo Yoo Yo %o Yo %o Yo Yoo
%%%
%%% begin document
%%%

Y%%0%%0%0%0%e%o Yoo %o %o %0 %o %o Yo% Vo %o Vo %o o Yoo Yoo Yoo Yo %o Yo %o Yo %o Vo Yo Vo Yoo Yoo Yoo Yoo Yo %o Yo %o Vo Yo Vo Yo Yo Yoo Yoo Yoo Yo %o Yo Yo VoY Yo Yo Yo

\makeatother

\usepackage{babel}
\begin{document}
\newcommand{\course}{303}
\newcommand{\coursechap}{2}

\element{chapter2}{

\begin{question}{Question 2}

Suppose that Jones builds a new house, then she sells it to Smith,
and then Smith sells it to Williams. The total net investment from
these transactions is:

\begin{multicols}{2}

\begin{choicescustom}

\wrongchoice{zero. }

\correctchoice{1 house. }

\wrongchoice{2 houses. }

\wrongchoice{3 houses.}

\end{choicescustom}

\end{multicols}

\end{question}

}

\element{chapter2}{

\begin{question}{Question 2}

Suppose that Jones builds a new house, then she sells it to Smith,
and then Smith sells it to Williams. The total net investment from
these transactions is:

\begin{multicols}{2}

\begin{choices}

\wrongchoice{zero. }

\correctchoice{1 house. }

\wrongchoice{2 houses. }

\wrongchoice{3 houses.}

\end{choices}

\end{multicols}

\end{question}

}

\title{ECON \course}
\author{Quiz on Chapter \coursechap({} reading}
\maketitle
\onecopy{1}H
\insertgroup{chapter\coursechap}

}

\end{document}

</pre>
11/05/2017 06:39 am - David Dixon

| do a lot more with it to make the slides look like Beamer, and the code is modular so | can swap in different questions easily. | use AMC because |
teach multiple sections of this course and | want the quiz to be different (order of questions, order of answers) for each section. | did my best to trim it
down to the bare minimum, but | didn't strip out the LyX stuff.

11/05/2017 09:32 am - Alexis Bienveniie
It seems to me that, in the first question, you don't see there is a second column because the 4 answers don't fill the first column.
If you add a paragraph break after each answer for exemple, you will see the second column (add the folowing right after @\begin{document}@).

\de\AMCanswer#1#2{#1 #2\par}
11/05/2017 10:16 am - David Dixon
David Dixon wrote:

But that doesn't explain why it makes two columns with choices but not choicescustom. The \par does work pretty cool, however - but | can't seem to
adjust any other vertical spacing when | end with \par.

11/05/2017 10:22 am - Alexis Bienveniie

> But that doesn't explain why it makes two columns with choices but not choicescustom.

| think it does make two columns with @choicescustom@. But if you provide text that does not fill one line of one column, you don't see the second
column.

Please send code as attached files (Click on _Files_ just under the text) instead of pasting it in the text.

11/05/2017 10:26 am - David Dixon

- File Ch2_Quiz_TestB.tex added

11/05/2017 10:30 am - David Dixon

So what I'm inferring is that choices does something like

<pre>
\defAMCanswer#1#2{#1 #2\par}

</pre>

so | have to do something like that in choicescustom to get it to make columns. So in that sense, | concede, user error :)

What | was doing was

<pre>
\de\AMCanswer#1#2{\par\choicelabel{#1}\hspace{24bp}\choiceanswer{#2}\vspace*{12bp}}

</pre>

If | put the \par at the end

<pre>
\deAMCanswer#1#2{\choicelabel{#1}\hspace{24bp}\choiceanswer{#2}\vspace*{12bp}\par}

</pre>

it doesn't help. It only works if | get rid of the \vspace*{12bp}, but | want that space.
11/05/2017 10:41 am - Alexis Bienveniie

Maybe you can use (with standard @choices@ environment)
\AMCinterlrep=24bp
to add space between answers.
Also, consider using the @plain@ package option (do avoid interferences with AMC layout), and maybe also the @pdfform@ one (with AMC

development version)?

02/07/2021 02:22 pm - Alexis Bienveniie
- Status changed from Feedback to Closed

- % Done changed from 0 to 100

Files

Ch2_Quiz_TestB.tex 5.1 kB 11/05/2017 David Dixon
